
Foreman - Bug #13929

Pin test_after_commit to version < 5.0

02/27/2016 03:16 PM - Tomer Brisker

Status: Closed   

Priority: High   

Assignee: Tomer Brisker   

Category: Packaging   

Target version: 1.10.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1313840 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3245

  

Description

5.0 requires ruby > 2.0.

Related issues:

Related to Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

Associated revisions

Revision 0b72ea7d - 02/28/2016 01:52 AM - Tomer Brisker

Fixes #13929 - Pin test_after_commit to version supporting Ruby 1.9

Revision 54b85ba2 - 03/10/2016 10:49 AM - Tomer Brisker

Fixes #13929 - Pin test_after_commit to version supporting Ruby 1.9

(cherry picked from commit 0b72ea7d19f9c714a448ad84a721e17b5a96e8e0)

Revision 3bb1ddac - 03/29/2016 02:22 PM - Tomer Brisker

Fixes #13929 - Pin test_after_commit to version supporting Ruby 1.9

(cherry picked from commit 0b72ea7d19f9c714a448ad84a721e17b5a96e8e0)

History

#1 - 02/27/2016 03:22 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3245 added

#2 - 02/27/2016 03:31 PM - Tomer Brisker

- Priority changed from Normal to High

This currently breaks CI testing. Setting priority to High.

#3 - 02/27/2016 04:29 PM - Anonymous

- Related to Refactor #8884: Drop Ruby 1.9.3 support added

#4 - 02/28/2016 02:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0b72ea7d19f9c714a448ad84a721e17b5a96e8e0.

#5 - 02/29/2016 03:14 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0b72ea7d19f9c714a448ad84a721e17b5a96e8e0


- translation missing: en.field_release set to 145

#6 - 03/02/2016 07:35 AM - Tomer Brisker

- Bugzilla link set to 1313840
